/**
  ******************************************************************************
  * @file    output.c
  * @author  ECS, Falko Jahn
  * @version V1.0.0
  * @date    29-Jan-2021
  * @brief   Output Modul 
  *          Beschreibung in Header
  ******************************************************************************
  */ 

// --- INCLUDES ----------------------------------------------------------------
#include "output.h"
#include "main.h"
//--- GGF. EXTERNE VARIABLEN ---------------------------------------------------  

//--- LOKALE DEFINES - bitte hier dokumentieren --------------------------------

//--- LOKALE TYPE DEFS - bitte hier dokumentieren-------------------------------

//--- DEFINATIONEN GLOBALER VARIABLEN - Bitte in Header dokumentieren ----------

//--- LOKALE VARIABLEN - bitte hier dokumentieren ------------------------------


//--- LOKALE FUNKTIONS PROTOTYPEN ---------------------------------------------- 

    

//--- LOKALE FUNKTIONEN - bitte hier dokumentieren -----------------------------

//--- GLOBALE FUNKTIONEN - bitte in Header dokumentieren------------------------
void OUTPUT_Init(void)
{
  
}

void OUTPUT_OVP_Enable()
{
  HAL_GPIO_WritePin(OVP_GPIO_Port,OVP_Pin,GPIO_PIN_RESET);
}
  
void OUTPUT_LVP_Enable()
{
  HAL_GPIO_WritePin(LVP_GPIO_Port,LVP_Pin,GPIO_PIN_RESET);
}

void OUTPUT_OVP_Disable()
{
  HAL_GPIO_WritePin(OVP_GPIO_Port,OVP_Pin,GPIO_PIN_SET);
}
  
void OUTPUT_LVP_Disable()
{
  HAL_GPIO_WritePin(LVP_GPIO_Port,LVP_Pin,GPIO_PIN_SET);
}
    